@import "./global-config.css";

:root {
  --primary: rgb(24, 104, 255);
  --secondary: rgb(0, 23, 95);
  --tertiary: rgb(34, 57, 120);
  --success: rgb(86, 197, 104);
  --selected: rgb(24, 104, 255);
  --hint: rgb(255, 165, 0);
  --failure: rgb(235, 87, 87);
  --text: rgb(89, 109, 134);
  --text2: rgb(255, 255, 255);
  --text3: rgb(0, 23, 95);
  --text5: rgb(255, 255, 255);
  --textBtn: rgb(255, 255, 255);
  --border: rgb(216, 216, 216);
  --background1: rgb(255, 255, 255);
  --background2: rgb(233, 233, 233);
  --background3: linear-gradient(180deg, #34588a 0%, #203767 100%);
  --background4: rgb(0, 63, 183);
  --background5: rgb(15, 54, 107);
  --background1_v: 255, 255, 255;
  --background2_v: 233, 233, 233;
  --background3_v: 10, 10, 10;
  --background4_v: 0, 63, 183;
  --background5_v: 15, 54, 107;

  --font-size: 14px;
  --default-width: 1100px;
  --register-bg: rgb(255, 255, 255);
  --primary-filter: brightness(0) saturate(100%) invert(29%) sepia(89%) saturate(3648%) hue-rotate(215deg) brightness(101%) contrast(101%);
  --secondary-filter: brightness(0) saturate(100%) invert(14%) sepia(57%) saturate(2074%) hue-rotate(207deg) brightness(93%) contrast(120%);
  --text5-filter: brightness(0) saturate(100%) invert(99%) sepia(16%) saturate(2%) hue-rotate(225deg) brightness(116%) contrast(100%);

}

/**
  color system classes
*/
:root {
  --bg-opacity: 0;
  --bg-base-color: var(--primary);

  --bo-t: 0;
  --bo-l: 0;
  --bo-w: 100%;
  --bo-h: 2px;
  --bo-z: 1;
  --bo-opacity: 0;
  --bo-base-color: var(--border);
}

.ol-bg-dark {
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bg-opacity)) 0%,
      rgba(0, 0, 0, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bg-light {
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bg-opacity)) 0%,
      rgba(255, 255, 255, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bo-dark {
  position: relative;
}

.ol-bo-dark::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bo-opacity)) 0%,
      rgba(0, 0, 0, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

.ol-bo-light {
  position: relative;
}

.ol-bo-light::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bo-opacity)) 0%,
      rgba(255, 255, 255, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

/**
  color system classes end
*/